/* shelves */

.bookshelf {
  width: 100%;
  margin: 50px auto;
  text-align: center;
  position: relative;
}

.book-grid {
  position: relative;
  z-index: 2;
  transform: translateY(-15px);
}

.book-grid ul {
  list-style: none;
  padding: 0;
  margin: 0;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}

.book-grid ul li {
  justify-self: center;
  transition: all 0.3s ease-in-out;
}

.book-grid ul li:hover {
  transform: scale(1.05);
}

.book-grid ul li a img {
  width: 200px;
  height: 300px;
  object-fit: cover;
  margin-bottom: 3px;
  box-shadow: 0px -5px 20px 2px rgba(0, 0, 0, 0.3);
}

.shelf-shadows {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 1rem;
  border-radius: 2px;
  z-index: 1;
  box-shadow: 0px -5px 3px 0px rgba(170, 170, 170, 0.2), 0px 15px 20px 0px rgba(170, 170, 170, 0.7),
    0px 5px 5px 0px rgba(119, 119, 119, 0.3);
}

.shelf {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 1rem;
  background-color: #f9f9f9;
  border-radius: 2px;
  z-index: 3;
}
